public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/faraday-net_http/
Date: Thu, 26 May 2022 08:51:06 +0000 (UTC)	[thread overview]
Message-ID: <1653555063.c24915e79e5e35725688d01903b7d4e4a414ea5d.graaff@gentoo> (raw)

commit:     c24915e79e5e35725688d01903b7d4e4a414ea5d
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Thu May 26 07:45:19 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Thu May 26 08:51:03 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c24915e7

dev-ruby/faraday-net_http: add 2.0.3

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/faraday-net_http/Manifest                 |  1 +
 .../faraday-net_http/faraday-net_http-2.0.3.ebuild | 30 ++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ruby/faraday-net_http/Manifest b/dev-ruby/faraday-net_http/Manifest
index 1535934e3834..0f51cd229323 100644
--- a/dev-ruby/faraday-net_http/Manifest
+++ b/dev-ruby/faraday-net_http/Manifest
@@ -1 +1,2 @@
 DIST faraday-net_http-1.0.1.tar.gz 8436 BLAKE2B 16feb3c79af7db3b69373826a2fc55a8373620c7c6bb229ec27ada2e07a75e862e4211a13a991c9d280b9dfd9643d1eec400fb0b925a846d966cc609c562aefe SHA512 57a7ea2f452844200119cb9e99ae4bfee5e01b0630b38b4ef4e615dfcc05e1476e3da8511698bf199c62b816b5253fb364ed6cffdc59dcd4e9d706c7f1e6e56b
+DIST faraday-net_http-2.0.3.tar.gz 8919 BLAKE2B 7bccadd63685acaf92e0192094a084d5b287fe7153273a4b5eb99f1e2a01a38051893fd96951ea48f456bd3a791c08dbcaf97f8479bbf302cfc713ce1e23bd36 SHA512 8a1a4bebd8ad565bc2eafd71eb5b7acda2f0830bb85894bf056412794d836cac6f57448edc60d5685d1876153b8c7c38c9b005b797167319dd088e0a6271e71e

diff --git a/dev-ruby/faraday-net_http/faraday-net_http-2.0.3.ebuild b/dev-ruby/faraday-net_http/faraday-net_http-2.0.3.ebuild
new file mode 100644
index 000000000000..35f84a277481
--- /dev/null
+++ b/dev-ruby/faraday-net_http/faraday-net_http-2.0.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Faraday adapter for Net::HTTP"
+HOMEPAGE="https://github.com/lostisland/faraday-net_http"
+SRC_URI="https://github.com/lostisland/faraday-net_http/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( >=dev-ruby/faraday-1.3.1:1 )"
+
+all_ruby_prepare() {
+	sed -i -e "s:_relative ':'./:" ${RUBY_FAKEGEM_GEMSPEC} || die
+}


             reply	other threads:[~2022-05-26  8:51 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-26  8:51 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06 11:35 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/faraday-net_http/ Sam James
2024-08-22  5:30 Hans de Graaff
2024-07-26  5:41 Hans de Graaff
2024-07-26  5:41 Hans de Graaff
2024-07-12  9:06 Hans de Graaff
2024-02-17  8:29 Hans de Graaff
2024-01-19 17:57 Hans de Graaff
2023-07-12  6:39 Jakov Smolić
2023-07-12  5:41 Hans de Graaff
2023-04-30  8:50 Hans de Graaff
2023-04-10 21:02 Sam James
2023-03-18 23:10 Sam James
2022-12-24  6:35 Sam James
2022-12-23  8:25 Hans de Graaff
2022-12-16 21:02 Arthur Zamarin
2022-11-08  6:12 Hans de Graaff
2022-08-28  5:59 Hans de Graaff
2022-07-31  6:53 Hans de Graaff
2022-07-29  4:48 Hans de Graaff
2022-07-29  4:48 Hans de Graaff
2022-05-08  6:40 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1653555063.c24915e79e5e35725688d01903b7d4e4a414ea5d.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox